| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::SndSys::SoundCyclicBuffer Member List

This is the complete list of members for CS::SndSys::SoundCyclicBuffer, including all inherited members.

AddBytes(void *bytes_ptr, size_t bytes_length) | CS::SndSys::SoundCyclicBuffer |
AdvanceStartValue(size_t advance_amount) | CS::SndSys::SoundCyclicBuffer |
Clear(long value=0) | CS::SndSys::SoundCyclicBuffer |
GetDataPointersFromPosition(size_t *position_value, size_t max_length, uint8 **buffer1, size_t *buffer1_length, uint8 **buffer2, size_t *buffer2_length) | CS::SndSys::SoundCyclicBuffer |
GetEndValue() | CS::SndSys::SoundCyclicBuffer |
GetFreeBytes() | CS::SndSys::SoundCyclicBuffer |
GetLength() | CS::SndSys::SoundCyclicBuffer | `[inline]`
GetStartValue() | CS::SndSys::SoundCyclicBuffer |
SoundCyclicBuffer(size_t buffer_size) | CS::SndSys::SoundCyclicBuffer |